Submission Update

Updates the Submission identified by the {submissionId} parameter with the property values sent in the request body.

NOTE All properties in the request body are optional, and only the properties supplied will be updated.

Field values will be validated, the core state conditions will be evaluated, and webhooks will be executed if necessary.

Path Params
uuid
required

The id of the submission

Query Params
string
Defaults to values

comma-separated list of properties to include in the response

  • details

  • activities

  • children

  • descendants

  • origin

  • parent

  • type

  • values

  • values.raw

  • values[FIELD NAME]

  • form

  • form.{any form include property}

values

Typically when retrieving submissions an include of values will be specified. This will return a map of field names to the values associated to that field.

{
  ...,
  "values": {
    "Checkbox Field": ["Value 1", "Value 2"],
    "Text Field": "Value"
  }
}

values.raw

Specifying an include of values.raw is similar to specifying an include of values, except the values will be returned as a map of field keys to metadata about the value associated to that field.

  • isMalformed indicates whether the value matches the expected format for the field type.

  • isUnexpected indicates whether the value corresponds to a field key that does not exist on the form.

  • name indicates the name of the field (if it exists on the form).

  • rawValue is the raw string that corresponds to the value.

  • value is the value in JSON format (if the value is not malformed).

Because the rawValue property is returned as a string, this include can be used to troubleshoot issues where a submission contains values in an unexpected format (such as when a field type changes). Additionally, values.raw includes values for field keys that do not exist on the form (likely because the field was deleted). This makes it possible to write scripts to access or manipulate historical values that no longer correspond to the current form.

{
  ...,
  "valuesRaw": {
    "f1": {
      "isMalformed": false,
      "isUnexpected": true,
      "name": null,
      "rawValue": "Orphaned Value",
      "value": "Orphaned Value"
    },
    "f2": {
      "isMalformed": false,
      "isUnexpected": false,
      "name": "Checkbox Field",
      "rawValue": "[\"Value 1\", \"Value 2\"]",
      "value": ["Value 1", "Value 2"]
    },
    "f2": {
      "isMalformed": false,
      "isUnexpected": false,
      "name": "Text Field",
      "rawValue": "Value",
      "value": "Value"
    }
  }
}
Body Params

The content for the submission properties to update

Only the properties supplied will be updated.

activities
array of objects
activities
string
string
uuid
string
string
values
object
form
object
string
string
children
array of objects
children
descendants
array of objects
descendants
Response

Language
Credentials
Basic
base64
:
URL
Response
Choose an example:
application/json